/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1. 1B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <signal.h>
#include <sys/proxy.h>
#include <sys/kernel.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "proto.h"

int
init( int argc, char *argv[] )

	{
	pid_t				clock_proxy;
	timer_t				id;
	struct itimerspec	timer;
	struct sigevent		event;

	/* eliminate 'unreferenced' warnings */
	argc = argc, argv = argv;

	/* setup timer to go off once a second */
	clock_proxy = qnx_proxy_attach( 0, 0, 0, -1 );
	event.sigev_signo = -clock_proxy;
	id = timer_create( CLOCK_REALTIME, &event );

	timer.it_value.tv_sec			= 1L;
	timer.it_value.tv_nsec			= 0L;
	timer.it_interval.tv_sec		= 1L;
	timer.it_interval.tv_nsec		= 0L;
	timer_settime( id, 0, &timer, NULL );

	return( Pt_CONTINUE );
	}

